Dža ko lil

Segment Anything Model 2 · Auto Segment

Integriruj

Modelosko id sam2/auto-segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam2/auto-segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: ≈$0.014 14 API krediti · ≈ ₽1.48 Phir les kate

Lel API klidin
Meta Editime e kipesko #segmentation#mask

Avtomatikani pherde-slika segmentacija savi del jekh-jekh maska thaj jekh khetane maska

Meta · Dada (JSON)

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul image_url
Čhiv jekh fajl, vaj

Kipo URL vaško automatikani segmentacija.

Lučhe output_format · points_per_side · pred_iou_thresh · stability_score_thresh · min_mask_region_area
output_format standardno png

Fajlo-formato e rezultato kipoqo.

standardno 32

Gin sample-pointonqo along sako kipesko rig.

standardno 0.88

Limit aplicirimo pe prognozirime IOU skore.

standardno 0.95

Limit aplicirimo pe stabilitetosko skore.

standardno 100

Cikneder maskako regionosko area savo šaj te ačhol.

POST /run/sam2/auto-segment?wait=20 hesab → $0.014
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam2/auto-segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Segment Anything Model 2 · Auto Segment

Segmentinela jekh slika andar `image_url` bi prompturenca, thaj del jekh khetani maska thaj array jekh-jekhutne maskenge. Detekcija šaj te avel tuning kerdyasa `points_per_side` (default 32), `pred_iou_thresh`, `stability_score_thresh` thaj `min_mask_region_area`. Maska-slika šaj te save-uven png vaj jpeg-formatesa.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
image_urltrubul image
Tipurl · image
Kipo URL vaško automatikani segmentacija.
output_formatopcionalno
Tipenum
standardnopng
jpegpng
Fajlo-formato e rezultato kipoqo.
points_per_sideopcionalno
Tipinteger
standardno32
Gin sample-pointonqo along sako kipesko rig.
pred_iou_threshopcionalno
Tipnumber
standardno0.88
Limit aplicirimo pe prognozirime IOU skore.
stability_score_threshopcionalno
Tipnumber
standardno0.95
Limit aplicirimo pe stabilitetosko skore.
min_mask_region_areaopcionalno
Tipinteger
standardno100
Cikneder maskako regionosko area savo šaj te ačhol.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam2/auto-segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14,
    "usd": "0.014",
    "charged": 14,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "combined_mask": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "individual_masks": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
combined_mask
object {url, content_type, file_name, file_size, width, height}Segmentacijaki maska savi jektharel e rezultatora.
individual_masks
array of object {url, content_type, file_name, file_size, width, height}Separatne maska jek-jek segmentonge.

Bute modeli: Editime e kipesko

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/sam2/auto-segment.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt